Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-corpusakkadien-xmlw_syllabes-cuneiform.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-corpusakkadien-xmlw_syllabes-cuneiform.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-filter-corpusakkadien-xmlw_syllabes-cuneiform.xsl	(revision 1654)
@@ -85,6 +85,10 @@
   </xsl:analyze-string>
 </xsl:template>-->
   
+  <xsl:template match="text()[not(ancestor::*[local-name()='w']) and ancestor::*[local-name()='text']]">
+  <txmOffText><xsl:value-of select="."/></txmOffText>
+</xsl:template>
+  
   <xsl:template match="*[local-name()='g']">
     <xsl:variable name="line"><xsl:value-of select="ancestor::*[local-name()='w']/@line"/></xsl:variable>
     <xsl:variable name="lemma"><xsl:value-of select="ancestor::*[local-name()='w']/@lemma"/></xsl:variable>
@@ -111,7 +115,7 @@
       <xsl:call-template name="hex2num"><xsl:with-param name="hex"><xsl:value-of select="substring(@refUnicode,4)"/></xsl:with-param></xsl:call-template>
     </xsl:variable>
     
-    <w line="{$line}" lemma="{$lemma}" pos="{$pos}" word-form="{$word-form}" supplied="{$supplied}" unclear="{$unclear}" ref-syllabaire="{@refSyllabaire}" ref-unicode="{@refUnicode}"><xsl:value-of select="."/></w>
+    <w line="{$line}" lemma="{$lemma}" pos="{$pos}" word-form="{$word-form}" supplied="{$supplied}" unclear="{$unclear}" ref-syllabaire="{@refSyllab}" ref-unicode="{@refUnicode}"><xsl:value-of select="."/></w>
     
   </xsl:template>
 
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-edition-xtz-cuneiform.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-edition-xtz-cuneiform.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-edition-xtz-cuneiform.xsl	(revision 1654)
@@ -262,8 +262,11 @@
 	                		<unicode>
 	                			<xsl:choose>
 	                				<xsl:when test="contains(following-sibling::txm:ana[@type='#ref-unicode'],'&amp;')">
-	                					<char><xsl:call-template name="hex2num"><xsl:with-param name="hex"><xsl:value-of select="substring-before(substring(following-sibling::txm:ana[@type='#ref-unicode'],4),'&amp;')"/></xsl:with-param></xsl:call-template></char>
-	                					<char><xsl:call-template name="hex2num"><xsl:with-param name="hex"><xsl:value-of select="substring-after(following-sibling::txm:ana[@type='#ref-unicode'],'&amp;U+')"/></xsl:with-param></xsl:call-template></char>
+	                					<xsl:for-each select="tokenize(substring(following-sibling::txm:ana[@type='#ref-unicode'],2),'&amp;')">
+	                						<char><xsl:call-template name="hex2num"><xsl:with-param name="hex"><xsl:value-of select="substring-after(.,'U+')"/></xsl:with-param></xsl:call-template></char>
+	                					</xsl:for-each>
+<!--	                					<char><xsl:call-template name="hex2num"><xsl:with-param name="hex"><xsl:value-of select="substring-before(substring(following-sibling::txm:ana[@type='#ref-unicode'],4),'&amp;')"/></xsl:with-param></xsl:call-template></char>
+	                					<char><xsl:call-template name="hex2num"><xsl:with-param name="hex"><xsl:value-of select="substring-after(following-sibling::txm:ana[@type='#ref-unicode'],'&amp;U+')"/></xsl:with-param></xsl:call-template></char>-->
 	                				</xsl:when>
 	                				<xsl:otherwise><char><xsl:call-template name="hex2num"><xsl:with-param name="hex"><xsl:value-of select="substring(following-sibling::txm:ana[@type='#ref-unicode'],4)"/></xsl:with-param></xsl:call-template></char></xsl:otherwise>
 	                			</xsl:choose>
@@ -275,7 +278,12 @@
 	                	
 	                	<!--<xsl:value-of select="codepoints-to-string($unicode)"/>-->
 	                	<xsl:for-each select="$unicode-chars/char">
-	                		<xsl:value-of select="codepoints-to-string(.)"/>
+	                		<xsl:choose>
+	                			<!--<xsl:when test="number(.) = 74034">xxx</xsl:when>-->
+	                			<xsl:when test="number(.) gt 50"><xsl:value-of select="codepoints-to-string(.)"/><!--[<xsl:value-of select="."/>]--></xsl:when>
+	                			<xsl:otherwise>[?]</xsl:otherwise>
+	                		</xsl:choose>
+	                		
 	                		<!--<xsl:value-of select="."/>-->
 	                	</xsl:for-each>
                 </xsl:template>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-teicorpus.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-teicorpus.xsl	(revision 0)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-split-teicorpus.xsl	(revision 1654)
@@ -0,0 +1,73 @@
+<!-- The Identity Transformation -->
+<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
+  xmlns:xs="http://www.w3.org/2001/XMLSchema">
+
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet is designed for TXM XTZ+CSV import module to split a
+      single file containing a teiCorpus into individual files for each TEI
+      child. This stylesheet should be used at "1-split-merge" step. See 
+      TXM User Manual for more details 
+      (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
+
+<xsl:param name="output-directory">
+  <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
+    <xsl:matching-substring>
+      <xsl:value-of select="regex-group(1)"/>
+    </xsl:matching-substring>
+  </xsl:analyze-string>
+</xsl:param>
+
+  <xsl:variable name="filename">
+    <xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
+      <xsl:matching-substring>
+        <xsl:value-of select="regex-group(2)"/>
+      </xsl:matching-substring>
+    </xsl:analyze-string>
+  </xsl:variable>
+
+<xsl:template match="*:teiCorpus">
+  <xsl:for-each select="descendant::*:TEI">
+    <xsl:variable name="position" as="xs:integer">
+      <xsl:number level="any"/>
+    </xsl:variable>
+    <xsl:variable name="result-filename">
+      <xsl:choose>
+        <xsl:when test="descendant::*:text[1]/@*:id">
+          <xsl:value-of select="descendant::*:text[1]/@*:id"/>
+        </xsl:when>
+        <xsl:when test="@*:id">
+          <xsl:value-of select="@*:id"/>
+        </xsl:when>
+        <xsl:otherwise>
+          <xsl:value-of select="concat($filename,'-',format-number($position,'0000'))"/>
+        </xsl:otherwise>
+      </xsl:choose>
+    </xsl:variable>
+    <xsl:result-document href="{$output-directory}/{$result-filename}.xml">
+      <xsl:copy-of select="."></xsl:copy-of>
+    </xsl:result-document>
+  </xsl:for-each>
+</xsl:template>
+
+
+</xsl:stylesheet>

Index: tmp/org.txm.core/res/org/txm/xml/xsl/2-default-pager.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/2-default-pager.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/2-default-pager.xsl	(revision 1654)
@@ -2,48 +2,66 @@
 <xsl:stylesheet exclude-result-prefixes="#all"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
   xmlns:xs="http://www.w3.org/2001/XMLSchema"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
   version="2.0">
-  <!--
-This software is dual-licensed:
+    
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet is designed for TXM XTZ import module to create 
+      HTML editions of corpus texts. This stylesheet should be used at 
+      "4-edition" step and must be accompanied by 1-default-html.xsl. 
+      See TXM User Manual for more details 
+      (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+    </xd:short>
+    <xd:detail>
+      This software is dual-licensed:
+      
+      1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
+      Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
+      
+      2. http://www.opensource.org/licenses/BSD-2-Clause
+      
+      All rights reserved.
+      
+      Redistribution and use in source and binary forms, with or without
+      modification, are permitted provided that the following conditions are
+      met:
+      
+      * Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+      
+      * Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in the
+      documentation and/or other materials provided with the distribution.
+      
+      This software is provided by the copyright holders and contributors
+      "as is" and any express or implied warranties, including, but not
+      limited to, the implied warranties of merchantability and fitness for
+      a particular purpose are disclaimed. In no event shall the copyright
+      holder or contributors be liable for any direct, indirect, incidental,
+      special, exemplary, or consequential damages (including, but not
+      limited to, procurement of substitute goods or services; loss of use,
+      data, or profits; or business interruption) however caused and on any
+      theory of liability, whether in contract, strict liability, or tort
+      (including negligence or otherwise) arising in any way out of the use
+      of this software, even if advised of the possibility of such damage.
+      
+      $Id$
+      
+      This stylesheet is based on TEI processpb.xsl by Sebastian Rahtz 
+      available at 
+      https://github.com/TEIC/Stylesheets/blob/master/tools/processpb.xsl 
+      
+      and is adapted by Alexei Lavrentiev to split an HTML edition for 
+      TXM platform.
+    </xd:detail>
+    <xd:author>Sebastian Rahtz and Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
+  <!--
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
-
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
-
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
-
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-
-     $Id$
-     
-This stylesheet is based on TEI processpb.xsl by Sebastian Rahtz 
-available at 
-https://github.com/TEIC/Stylesheets/blob/master/tools/processpb.xsl 
-and is adapted by Alexei Lavrentiev to split an HTML edition for 
-TXM platform.
-
   -->
   <xsl:output indent="no" method="html"/>
   
@@ -71,7 +89,7 @@
   </xsl:variable>
   
   <xsl:variable name="current-corpus-name">
-    <xsl:analyze-string select="$current-file-directory" regex="^(.*)/([^/]+)$">
+    <xsl:analyze-string select="$current-file-directory" regex="^(.*)/([^/]+)/[^/]+$">
       <xsl:matching-substring>
         <xsl:value-of select="regex-group(2)"/>
       </xsl:matching-substring>
Index: tmp/org.txm.core/res/org/txm/xml/xsl/1-default-html.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/1-default-html.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/1-default-html.xsl	(revision 1654)
@@ -4,8 +4,37 @@
 	xmlns:tei="http://www.tei-c.org/ns/1.0" 
 	xmlns:txm="http://textometrie.org/1.0"
 	xmlns:xs="http://www.w3.org/2001/XMLSchema"
+	xmlns:xd="http://www.pnp-software.com/XSLTdoc"
                 exclude-result-prefixes="#all" version="2.0">
                 
+	<xd:doc type="stylesheet">
+		<xd:short>
+			This stylesheet is designed for TXM XTZ import module to create 
+			HTML editions of corpus texts. This stylesheet should be used at 
+			"4-edition" step and must be accompanied by 2-default-pager.xsl. 
+			See TXM User Manual for more details 
+			(http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+		</xd:short>
+		<xd:detail>
+			This stylesheet is free software; you can redistribute it and/or
+			modify it under the terms of the GNU Lesser General Public
+			License as published by the Free Software Foundation; either
+			version 3 of the License, or (at your option) any later version.
+			
+			This stylesheet is distributed in the hope that it will be useful,
+			but WITHOUT ANY WARRANTY; without even the implied warranty of
+			MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+			Lesser General Public License for more details.
+			
+			You should have received a copy of GNU Lesser Public License with
+			this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+		</xd:detail>
+		<xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+		<xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+	</xd:doc>
+                
+                
+                
 	<xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" indent="no"/>
 	
 	<!-- <xsl:output method="xml" encoding="UTF-8" omit-xml-declaration="no" indent="no"  doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/> -->
@@ -38,7 +67,7 @@
                 </xsl:variable>
 	
 	<xsl:variable name="filename">
-		<xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/]+$">
+		<xsl:analyze-string select="document-uri(.)" regex="^(.*)/([^/]+)\.[^/.]+$">
 			<xsl:matching-substring>
 				<xsl:value-of select="regex-group(2)"/>
 			</xsl:matching-substring>
@@ -77,10 +106,31 @@
 				</div>
 				
 			</xsl:if>
-			<xsl:apply-templates/>		
+			<xsl:apply-templates/>
+			
+			<xsl:variable name="page_id"><xsl:value-of select="count(descendant::*[local-name()=$pagination-element])"/></xsl:variable>
+			
+			<xsl:if test="//tei:note[not(@place='inline') and not(matches(@type,'intern|auto'))][count(preceding::*[local-name()=$pagination-element]) = $page_id]">
+				<xsl:text>&#xa;</xsl:text>
+				<br/>
+				<br/>			
+				<span style="display:block;border-top-style:solid;border-top-width:1px;border-top-color:gray;padding-top:5px">                                                
+					<xsl:for-each select="//tei:note[count(preceding::*[local-name()=$pagination-element]) = $page_id]">
+						<xsl:variable name="note_count"><xsl:value-of select="count(preceding::tei:note) + 1"/></xsl:variable>
+						<!--<p><xsl:value-of select="$note_count"/>. <a href="#noteref_{$note_count}" name="note_{$note_count}">[<xsl:value-of select="preceding::tei:cb[1]/@xml:id"/>, l. <xsl:value-of select="preceding::tei:lb[1]/@n"/>]</a><xsl:text> </xsl:text> <xsl:value-of select="."/></p>-->
+						<span class="note">
+							<span style="position:absolute;left:-30px"><a href="#noteref_{$note_count}" name="note_{$note_count}"><xsl:value-of select="$note_count"/></a>. </span>
+							<xsl:apply-templates mode="#current"/>
+						</span>                                                                
+					</xsl:for-each></span><xsl:text>&#xa;</xsl:text>                                                                
+				
+			</xsl:if>
+			
+			
 		</body>
 	</xsl:template>
 	
+	
                 <xsl:template match="*">
                                 <xsl:choose>
                                 	<xsl:when test="descendant::tei:p|descendant::tei:ab">
@@ -226,8 +276,8 @@
 			<br/>
 			<br/>			
 			<span style="display:block;border-top-style:solid;border-top-width:1px;border-top-color:gray;padding-top:5px">                                                
-				<xsl:for-each select="//tei:note[not(@place='inline') and not(matches(@type,'intern|auto'))][following::*[local-name()=$pagination-element][1][count(preceding::*[local-name()=$pagination-element]) = $page_id]]">
-					<xsl:variable name="note_count"><xsl:value-of select="count(preceding::tei:note[matches(@type,'^(apparat|identification|zoologique)$')]) + 1"/></xsl:variable>
+				<xsl:for-each select="//tei:note[following::*[local-name()=$pagination-element][1][count(preceding::*[local-name()=$pagination-element]) = $page_id]]">
+					<xsl:variable name="note_count"><xsl:value-of select="count(preceding::tei:note) + 1"/></xsl:variable>
 					<!--<p><xsl:value-of select="$note_count"/>. <a href="#noteref_{$note_count}" name="note_{$note_count}">[<xsl:value-of select="preceding::tei:cb[1]/@xml:id"/>, l. <xsl:value-of select="preceding::tei:lb[1]/@n"/>]</a><xsl:text> </xsl:text> <xsl:value-of select="."/></p>-->
 					<span class="note">
 						<span style="position:absolute;left:-30px"><a href="#noteref_{$note_count}" name="note_{$note_count}"><xsl:value-of select="$note_count"/></a>. </span>
@@ -249,7 +299,7 @@
 	<!-- Notes -->
 	<xsl:template match="tei:note">
 		<!--<span style="color:violet"> [<b>Note :</b> <xsl:apply-templates/>] </span>-->	
-		<xsl:variable name="note_count"><xsl:value-of select="count(preceding::tei:note[matches(@type,'^(apparat|identification|zoologique)$')]) + 1"/></xsl:variable>
+		<xsl:variable name="note_count"><xsl:value-of select="count(preceding::tei:note) + 1"/></xsl:variable>
 		<xsl:variable name="note_content">
 			<xsl:choose>
 				<xsl:when test="descendant::txm:form">
Index: tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-teiHeader2textAtt.xsl
===================================================================
--- tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-teiHeader2textAtt.xsl	(revision 1653)
+++ tmp/org.txm.core/res/org/txm/xml/xsl/txm-front-teiHeader2textAtt.xsl	(revision 1654)
@@ -1,49 +1,37 @@
 <?xml version="1.0"?>
 <xsl:stylesheet xmlns:edate="http://exslt.org/dates-and-times"
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:tei="http://www.tei-c.org/ns/1.0"
+  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
   exclude-result-prefixes="tei edate" xpath-default-namespace="http://www.tei-c.org/ns/1.0" version="2.0">
 
-  <!--
-This software is dual-licensed:
+  <xd:doc type="stylesheet">
+    <xd:short>
+      This stylesheet is designed for TXM XTZ+CSV import module to extract 
+      metadata from the teiHeader and add them as attributes
+      of the text element. It should be used at "2-front" step. See TXM 
+      User Manual for more details 
+      (http://textometrie.ens-lyon.fr/spip.php?rubrique64)
+    </xd:short>
+    <xd:detail>
+      This stylesheet is free software; you can redistribute it and/or
+      modify it under the terms of the GNU Lesser General Public
+      License as published by the Free Software Foundation; either
+      version 3 of the License, or (at your option) any later version.
+      
+      This stylesheet is distributed in the hope that it will be useful,
+      but WITHOUT ANY WARRANTY; without even the implied warranty of
+      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+      Lesser General Public License for more details.
+      
+      You should have received a copy of GNU Lesser Public License with
+      this stylesheet. If not, see http://www.gnu.org/licenses/lgpl.html
+    </xd:detail>
+    <xd:author>Alexei Lavrentiev alexei.lavrentev@ens-lyon.fr</xd:author>
+    <xd:copyright>2017, CNRS / UMR 5317 IHRIM (CACTUS research group)</xd:copyright>
+  </xd:doc>
 
-1. Distributed under a Creative Commons Attribution-ShareAlike 3.0
-Unported License http://creativecommons.org/licenses/by-sa/3.0/ 
 
-2. http://www.opensource.org/licenses/BSD-2-Clause
-		
-All rights reserved.
 
-Redistribution and use in source and binary forms, with or without
-modification, are permitted provided that the following conditions are
-met:
-
-* Redistributions of source code must retain the above copyright
-notice, this list of conditions and the following disclaimer.
-
-* Redistributions in binary form must reproduce the above copyright
-notice, this list of conditions and the following disclaimer in the
-documentation and/or other materials provided with the distribution.
-
-This software is provided by the copyright holders and contributors
-"as is" and any express or implied warranties, including, but not
-limited to, the implied warranties of merchantability and fitness for
-a particular purpose are disclaimed. In no event shall the copyright
-holder or contributors be liable for any direct, indirect, incidental,
-special, exemplary, or consequential damages (including, but not
-limited to, procurement of substitute goods or services; loss of use,
-data, or profits; or business interruption) however caused and on any
-theory of liability, whether in contract, strict liability, or tort
-(including negligence or otherwise) arising in any way out of the use
-of this software, even if advised of the possibility of such damage.
-
-     
-This stylesheet extracts metadata from the teiHeader and adds them as attributes
-of the text element. Can be used with TXM XTZ and XML/W import modules.
-
-Written by Alexei Lavrentiev, UMR 5317 IHRIM, 2017
-  -->
-
-
   <xsl:output method="xml" encoding="utf-8" omit-xml-declaration="no"/> 
   
   
Index: tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1653)
+++ tmp/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 1654)
@@ -1,6 +1,7 @@
 package org.txm.groovy.core;
 
 import java.io.File;
+import java.util.ArrayList;
 import java.util.Collection;
 import java.util.List;
 import java.util.logging.Level;
@@ -141,10 +142,7 @@
 					Log.fine(GroovyMessages.errorImportNotCorrectlyEndedSeeConsoleMessages);
 					
 					if (!project.getDoUpdate()) { // clear all
-						Log.fine("Deleting all project children...");
-						for (TXMResult c : project.getChildren()) {
-							c.delete();
-						}
+						project.deleteChildren();
 					} else {
 						Log.fine("Deleting all project CorpusBuild & Edition children...");
 						for (TXMResult c : project.getChildren(CorpusBuild.class)) {
